Get a List of Devices Associated with Config Manager

get

/rest/{versionId}/configuration/devices

Use this (GET) method to retrieve a list of device names that are currently being managed by Configuration Manager. A device can be added to Device Manager (refer to Add an NF), but does not show up in the managed list until it is assigned to Config Manager (refer to Associate a Device with a Configuration Service).

Request

Path Parameters
Query Parameters
Back to Top

Response

200 Response

Retrieve list of device from Config Manager successfully.

400 Response

The user input is invalid.

401 Response

The user is unauthorized.

403 Response

The user doesn't have the required permission

404 Response

The resource URI of your input request cannot be found

500 Response

An internal server error has occurred while processing the request.
Back to Top

Examples

Examples of Accessing the API

See Authenticate page to acquire a token.

The following example shows how to use curl to get a List of Devices Associated with Config Manager.

curl -X GET \
    -H @auth_header.txt \
    "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/configuration/devices"

The following example shows how to use Python to get a List of Devices Associated with Config Manager.

import requests
headers = { "Authorization": "Bearer <auth-token>" }
url  = "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/configuration/devices"
resp = requests.get(url, headers=headers)

Example of the Response Body

The following example shows the contents of the response body.

{
  "devices": [
    {
      "bootstrapState": "Activated",
      "connectivityStatus": false,
      "id": "1",
      "ip": "192.0.2.10",
      "key": "mcename_192.0.2.10",
      "manageable": false,
      "name": "mcename",
      "nfId": "41",
      "nfName": "mcename",
      "parentGroupId": "41",
      "platformInfo": {
        "platform": "MCE"
      },
      "siteId": "1",
      "softwareInfo": {
        "configVersion": "0",
        "version": "25.2.0.0.0"
      }
    },
    {
      "bootstrapState": "Activated",
      "connectivityStatus": true,
      "id": "2",
      "ip": "192.0.2.10",
      "key": "osdmc-vsbc28_192.0.2.10",
      "manageable": true,
      "name": "osdmc-vsbc28",
      "nfId": "42",
      "nfName": "sbc28",
      "parentGroupId": "42",
      "platformInfo": {
        "platform": "apNetNetOSVM"
      },
      "siteId": "1",
      "softwareInfo": {
        "configVersion": "59",
        "version": "SCZ910p5"
      }
    },
    {
      "bootstrapState": "Activated",
      "connectivityStatus": true,
      "id": "3",
      "ip": "192.0.2.10",
      "key": "me5_192.0.2.10",
      "manageable": true,
      "name": "me5",
      "nfId": "43",
      "nfName": "me5",
      "parentGroupId": "43",
      "platformInfo": {
        "platform": "NA",
        "timeZoneInfo": "UTC"
      },
      "siteId": "1",
      "softwareInfo": {
        "configVersion": "0",
        "version": "NA"
      }
    },
    {
      "bootstrapState": "Activated",
      "connectivityStatus": false,
      "id": "4",
      "ip": "192.0.2.10",
      "key": "OSDMC-vECB-9_192.0.2.10",
      "manageable": true,
      "name": "OSDMC-vECB-9",
      "nfId": "44",
      "nfName": "ecb9",
      "parentGroupId": "44",
      "platformInfo": {
        "platform": "NNOSVM"
      },
      "siteId": "1",
      "softwareInfo": {
        "configVersion": "59",
        "version": "PCZ410p5"
      },
      "loadedConfigVersion": "59",
      "pendingChanges": "0"
    },
    {
      "bootstrapState": "Activated",
      "connectivityStatus": true,
      "id": "13",
      "ip": "192.0.2.10",
      "key": "OSDMC-SBC-20_192.0.2.10",
      "manageable": true,
      "name": "OSDMC-SBC-20",
      "nfId": "49",
      "nfName": "esbcHAPair_21_22",
      "parentGroupId": "49",
      "platformInfo": {
        "platform": "NNOSVM"
      },
      "siteId": "1",
      "softwareInfo": {
        "configVersion": "576",
        "version": "SCZ930p6"
      },
      "pendingChanges": "0"
    },
    {
      "bootstrapState": "Activated",
      "connectivityStatus": true,
      "id": "14",
      "ip": "192.0.2.10",
      "key": "OSDMC-SBC-21_192.0.2.10",
      "manageable": true,
      "name": "OSDMC-SBC-21",
      "nfId": "49",
      "nfName": "esbcHAPair_21_22",
      "parentGroupId": "49",
      "platformInfo": {
        "platform": "NNOSVM"
      },
      "siteId": "1",
      "softwareInfo": {
        "configVersion": "576",
        "version": "SCZ930p6"
      },
      "pendingChanges": "0"
    }
  ]
}

Example 2 of Accessing this API

This example shows requesting this API with the parentGroupId query parameter.

curl -X GET \
    -H @auth_header.txt \
    "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/configuration/devices?parentGroupId=61"

The following shows an example response.

{
  "devices": [
    {
      "bootstrapState": "Activated",
      "connectivityStatus": true,
      "id": "2",
      "ip": "192.0.2.10",
      "key": "osdmc-vsbc28_192.0.2.10",
      "manageable": true,
      "name": "osdmc-vsbc28",
      "nfId": "42",
      "nfName": "sbc28",
      "parentGroupId": "42",
      "platformInfo": {
        "platform": "NNOSVM"
      },
      "siteId": "1",
      "softwareInfo": {
        "configVersion": "59",
        "version": "SCZ910p5"
      },
      "pendingChanges": "0"
    }
  ]
}

Example 3 of Accessing this API

This example shows requesting this API with the nfName query parameter.

curl -X GET \
    -H @auth_header.txt \
    "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/configuration/devices?nfName=sbc28"

The following shows an example response.

{
  "devices": [
    {
      "bootstrapState": "Activated",
      "connectivityStatus": true,
      "id": "2",
      "ip": "192.0.2.10",
      "key": "osdmc-vsbc28_192.0.2.10",
      "manageable": true,
      "name": "osdmc-vsbc28",
      "nfId": "42",
      "nfName": "sbc28",
      "parentGroupId": "42",
      "platformInfo": {
        "platform": "NNOSVM"
      },
      "siteId": "1",
      "softwareInfo": {
        "configVersion": "59",
        "version": "SCZ910p5"
      },
      "pendingChanges": "0"
    }
  ]
}
Back to Top